Subject: Re: large object compiling error

From: [email-masked] (Alfredo Sanchez)
Date: Tue, 23 Feb 93 17:19:00 -0800

> ld: Undefined symbol 
>    _setenv 
> Compilation failed

I asked this question a few days ago, and several kind souls
helped me.
You need to edit the file ~postgres/src/lib/libpq/fe-pqufs.c
The shortest answer I received shows a possible workaround. 
I include it below.

Good luck,

J Alfredo Sanchez H
-------------------
Hypermedia Research Lab
Texas A&M University

 > From [email-masked] Fri Feb 12 16:30:34 1993
 > From: [email-masked] (Mauro DePalma)
 > Message-Id: <[email-masked]>
 > Subject: Re: Large Object include files
 > To: [email-masked] (Alfredo Sanchez)
 > Date: Fri, 12 Feb 93 14:29:45 PST
 > In-Reply-To: <[email-masked]>; from "Alfredo Sanchez" at Feb 12, 93 12:55 pm
 > X-Mailer: ELM [version 2.3 PL11]
 > Status: RO
 > 
 > > 
 > [517 mauro@olympus] diff -c fe-pqufs.c fe-pqufs.c-
 > *** fe-pqufs.c  Fri Oct 23 18:28:07 1992
 > --- fe-pqufs.c- Wed Aug 26 23:31:28 1992
 > ***************
 > *** 487,501 ****
 >       } else {
 >         strcpy(cwdir,resolve_path(path));
 >       }
 > - 
 > - #ifdef sprite
 >       setenv("PFCWD",cwdir,1);
 > - #else
 > -     { char envEntry[64];
 > -       (void) sprintf(envEntry, "PFCWD=%s", cwdir);
 > -       (void) putenv(envEntry);
 > -     }
 > - #endif
 >       return 0;
 >   }
 >   
 > --- 487,493 ----
 > 
 >